import * as React from 'react';
import React__default from 'react';
import * as react_jsx_runtime from 'react/jsx-runtime';

declare const MenuComponent: React__default.ForwardRefExoticComponent<any>;
declare const Menu: React__default.ForwardRefExoticComponent<any>;

type MenuItemProps = {
	/**
	 * The label to use for the menu item.
	 */
	label: string;
	/**
	 * Whether or not the menu item is disabled.
	 * @default false
	 */
	disabled?: boolean;
	/**
	 * A React component of type Icon to be placed on the left of the label.
	 */
	icon?: React__default.ReactNode;
};

type MenuSeparatorProps = React__default.HTMLAttributes<HTMLDivElement>;

declare const MenuItem: React.ForwardRefExoticComponent<MenuItemProps & React.ButtonHTMLAttributes<HTMLButtonElement> & React.RefAttributes<HTMLButtonElement>>;
declare const MenuSeparator: ({ className, ...props }: MenuSeparatorProps) => react_jsx_runtime.JSX.Element;

export { Menu, MenuComponent, MenuItem, MenuSeparator };
